# sc::SteepestDescentOpt Class Reference

Inheritance diagram for sc::SteepestDescentOpt:

List of all members.

## Public Member Functions

| SteepestDescentOpt (const Ref< KeyVal > &)
| SteepestDescentOpt (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void | init ()
| Initialize the optimizer.
int | update ()
| Take a step.

## Protected Attributes

double | maxabs_gradient
double | accuracy_
Ref< LineOpt > | lineopt_
int | take_newton_step_
int | print_x_
int | print_gradient_

## Member Function Documentation

void sc::SteepestDescentOpt::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::Optimize.

int sc::SteepestDescentOpt::update | ( |  | ) | `[virtual]`

Take a step.

Returns 1 if the optimization has converged, otherwise 0.

Implements sc::Optimize.

The documentation for this class was generated from the following file:

- steep.h